Bug 239298 - CVE-2007-1376: shmop functions do not verify that their arguments
Summary: CVE-2007-1376: shmop functions do not verify that their arguments
Status: CLOSED DUPLICATE of bug 240161
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php   
(Show other bugs)
Version: 4.5
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-07 13:46 UTC by paul boin
Modified: 2007-11-17 01:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 15:47:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description paul boin 2007-05-07 13:46:09 UTC
The shmop functions in PHP before 4.4.5, and before 5.2.1 in the 5.x series, do
not verify that their arguments correspond to a shmop resource, which allows
context-dependent attackers to read and write arbitrary memory locations via
arguments associated with an inappropriate resource, as demonstrated by a GD
Image resource.

    * MILW0RM:3426
    * URL:http://www.milw0rm.com/exploits/3426
    * MILW0RM:3427
    * URL:http://www.milw0rm.com/exploits/3427
    * MISC:http://www.php-security.org/MOPB/MOPB-15-2007.html
    * DEBIAN:DSA-1283
    * URL:http://www.debian.org/security/2007/dsa-1283
    * GENTOO:GLSA-200703-21
    * URL:http://security.gentoo.org/glsa/glsa-200703-21.xml
    * UBUNTU:USN-455-1
    * URL:http://www.ubuntu.com/usn/usn-455-1
    * BID:22862
    * URL:http://www.securityfocus.com/bid/22862
    * OSVDB:32781
    * URL:http://www.osvdb.org/32781
    * SECUNIA:24606
    * URL:http://secunia.com/advisories/24606
    * SECUNIA:25062
    * URL:http://secunia.com/advisories/25062

Comment 1 paul boin 2007-05-07 15:01:41 UTC
Maps to MOPB-15-2007, and is mentioned in bug 230556, but is not explicitly
closed by any Errata (that I have found).


Comment 2 Joe Orton 2007-05-15 15:47:12 UTC

*** This bug has been marked as a duplicate of 240161 ***


Note You need to log in before you can comment on or make changes to this bug.